Transfer Owners

File Upload Format (Base64 Data URI)

For endpoints that accept file inputs, files must be submitted as a Base64-encoded Data URI string in the document field.

Format
data:<mimeType>;name=<filename>;base64,<base64EncodedContent>

Example
json
{ "document": "data:application/octet-stream;name=BL-0xd7.tt;base64,ewogICJAY29udGV4dCI6IFsKICAgICJodHRwcz..." }

This API returns a URL with sessionId.
Use GET /auth/session-response?sessionId=<sessionId> to retrieve the session result.

Body Params
string
required

Identifier for the user's wallet that will authorize and sign the ownership transfer transaction.

string

The blockchain address that will become the new holder of the document after the transfer. Only one of holderAddress or holderDomain should be provided.

string

The domain that will become the new holder of the document after the transfer. Only one of holderAddress or holderDomain should be provided.

string

The blockchain address proposed as the new beneficiary for the document. Only one of beneficiaryNomineeAddress or beneficiaryNomineeDomain should be provided.

string

The domain proposed as the new beneficiary for the document. Only one of beneficiaryNomineeAddress or beneficiaryNomineeDomain should be provided.

string

Optional text remarks that will be encoded and embedded into the ownership transfer transaction.

file
required

Signed document file containing the metadata required to identify the associated token.

string
Headers
string

Unique key to ensure idempotency for API requests.

string

Unique external ID for tracking purposes, can be used for debugging and analytics.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json